package crm

import (
	"server/dao/system"
	"server/global"
)

type Progress struct {
	global.GVA_MODEL
	Content      string         `json:"content" form:"content" gorm:"comment:内容"`
	UserId       int            `json:"userId" form:"userId" gorm:"comment:填写用户"`
	User         system.SysUser `json:"user" form:"user" gorm:"foreignKey:UserId"`
	CustomerId   int            `json:"customerId" form:"customerId" gorm:"comment:所属客户id"`
	FollowUpTime string         `json:"followUpTime" form:"followUpTime" gorm:"comment:跟进时间"`
}

func (Progress) TableName() string {
	return "progress"
}

func QueryProgressByCustomerId(customerId int) (progress []Progress, err error) {
	err = global.GVA_DB.Where("customer_id = ?", customerId).Find(&progress).Error
	return progress, err
}

func (p Progress) CreateProgress() error {
	return global.GVA_DB.Create(&p).Error
}

func (p Progress) UpdateProgress() error {
	return global.GVA_DB.Model(&p).Updates(&p).Error
}

func DeleteProgress(id int) error {
	return global.GVA_DB.Unscoped().Delete(&Progress{}, id).Error
}
