package crm

import (
	"github.com/gin-gonic/gin"
	v1 "server/api/v1"
	"server/middleware"
)

type CustomerRouter struct{}

func (s *CustomerRouter) InitCustomerRouter(Router *gin.RouterGroup) {
	customerRouter := Router.Group("customer").Use(middleware.OperationRecord())
	customerRouterWithoutRecord := Router.Group("customer")
	customerApi := v1.ApiGroupApp.CRMApiGroup.CustomerApi
	{
		customerRouter.POST("createCustomer", customerApi.CreateCustomer)
		customerRouter.PUT("updateCustomer", customerApi.UpdateCustomer)
		customerRouter.DELETE("deleteCustomer", customerApi.DeleteCustomer)
	}
	{
		customerRouterWithoutRecord.GET("queryAllCustomers", customerApi.QueryAllCustomers)
		customerRouterWithoutRecord.POST("queryCustomerList", customerApi.QueryCustomerList)
	}
}
