package crm

import (
	"github.com/gin-gonic/gin"
	v1 "server/api/v1"
	"server/middleware"
)

type CustomerGenreRouter struct{}

func (s *CustomerGenreRouter) InitCustomerGenreRouter(Router *gin.RouterGroup) {
	customerGenreRouter := Router.Group("customerGenre").Use(middleware.OperationRecord())
	customerGenreRouterWithoutRecord := Router.Group("customerGenre")
	customerGenreApi := v1.ApiGroupApp.CRMApiGroup.CustomerGenreApi
	{
		customerGenreRouter.POST("createCustomerGenre", customerGenreApi.CreateCustomerGenre)
		customerGenreRouter.PUT("updateCustomerGenre", customerGenreApi.UpdateCustomerGenre)
		customerGenreRouter.DELETE("deleteCustomerGenre", customerGenreApi.DeleteCustomerGenre)
	}
	{
		customerGenreRouterWithoutRecord.GET("queryAllCustomerGenres", customerGenreApi.QueryAllCustomerGenres)
	}
}
