package crm

import (
	"github.com/gin-gonic/gin"
	v1 "server/api/v1"
	"server/middleware"
)

type DemandRouter struct{}

func (s *DemandRouter) InitDemandRouter(Router *gin.RouterGroup) {
	demandRouter := Router.Group("demand").Use(middleware.OperationRecord())
	demandRouterWithoutRecord := Router.Group("demand")
	demandApi := v1.ApiGroupApp.CRMApiGroup.DemandApi
	{
		demandRouter.POST("createDemand", demandApi.CreateDemand)
		demandRouter.PUT("updateDemand", demandApi.UpdateDemand)
		demandRouter.DELETE("deleteDemand", demandApi.DeleteDemand)
	}
	{
		demandRouterWithoutRecord.GET("queryDemandsByCustomerId", demandApi.QueryDemandsByCustomerId)
	}
}
