package crm

import (
	"github.com/gin-gonic/gin"
	v1 "server/api/v1"
	"server/middleware"
)

type ProgressRouter struct{}

func (s *ProgressRouter) InitProgressRouter(Router *gin.RouterGroup) {
	progressRouter := Router.Group("progress").Use(middleware.OperationRecord())
	progressRouterWithoutRecord := Router.Group("progress")
	progressApi := v1.ApiGroupApp.CRMApiGroup.ProgressApi
	{
		progressRouter.POST("createProgress", progressApi.CreateProgress)
		progressRouter.PUT("updateProgress", progressApi.UpdateProgress)
		progressRouter.DELETE("deleteProgress", progressApi.DeleteProgress)
	}
	{
		progressRouterWithoutRecord.GET("queryProgressByCustomerId", progressApi.QueryProgressByCustomerId)
	}
}
