package storehouse

import (
	"github.com/gin-gonic/gin"
	v1 "server/api/v1"
	"server/middleware"
)

type CommodityRouter struct{}

func (s *CommodityRouter) InitCommodityRouter(Router *gin.RouterGroup) {
	commodityRouter := Router.Group("commodity").Use(middleware.OperationRecord())
	commodityRouterWithoutRecord := Router.Group("commodity")

	commodityApi := v1.ApiGroupApp.StorehouseApiGroup.CommodityApi
	{
		commodityRouter.POST("createCommodity", commodityApi.CreateCommodity)
		commodityRouter.PUT("updateCommodity", commodityApi.UpdateCommodity)
		commodityRouter.DELETE("deleteCommodity", commodityApi.DeleteCommodity)
	}
	{
		commodityRouterWithoutRecord.GET("queryAllCommodity", commodityApi.QueryAllCommodity)
		commodityRouterWithoutRecord.POST("queryCommodityList", commodityApi.QueryCommodityList)
	}
}
