package storehouse

import (
	"github.com/gin-gonic/gin"
	v1 "server/api/v1"
	"server/middleware"
)

type CommodityGenreRouter struct{}

func (r *CommodityGenreRouter) InitCommodityGenreRouter(Router *gin.RouterGroup) {
	commodityGenreRouter := Router.Group("commodityGenre").Use(middleware.OperationRecord())
	commodityGenreRouterWithoutRecord := Router.Group("commodityGenre")
	commodityGenreApi := v1.ApiGroupApp.StorehouseApiGroup.CommodityGenreApi

	{
		commodityGenreRouter.POST("createCommodityGenre", commodityGenreApi.CreateCommodityGenre)
		commodityGenreRouter.PUT("updateCommodityGenre", commodityGenreApi.UpdateCommodityGenre)
		commodityGenreRouter.DELETE("deleteCommodityGenre", commodityGenreApi.DeleteCommodityGenre)
	}

	{
		commodityGenreRouterWithoutRecord.GET("queryAllCommodityGenre", commodityGenreApi.QueryAllCommodityGenre)
	}
}
