package storehouse

import (
	"github.com/gin-gonic/gin"
	v1 "server/api/v1"
	"server/middleware"
)

type PlaceRouter struct{}

func (s *PlaceRouter) InitPlaceRouter(Router *gin.RouterGroup) {
	placeRouter := Router.Group("place").Use(middleware.OperationRecord())
	placeRouterWithoutRecord := Router.Group("place")

	placeApi := v1.ApiGroupApp.StorehouseApiGroup.PlaceApi
	{
		placeRouter.POST("createPlace", placeApi.CreatePlace)
		placeRouter.PUT("updatePlace", placeApi.UpdatePlace)
		placeRouter.PUT("switchPlace", placeApi.SwitchPlace)
		placeRouter.DELETE("deletePlace", placeApi.DeletePlace)
	}
	{
		placeRouterWithoutRecord.GET("queryAllPlace", placeApi.QueryAllPlace)
		placeRouterWithoutRecord.POST("queryPlaceList", placeApi.QueryPlaceList)
	}
}
