package storehouse

import (
	"github.com/gin-gonic/gin"
	v1 "server/api/v1"
	"server/middleware"
)

type StorageAreaRouter struct{}

func (sar *StorageAreaRouter) InitStorageAreaRouter(Router *gin.RouterGroup) {
	storageAreaRouter := Router.Group("storageArea").Use(middleware.OperationRecord())
	storageAreaRouterWithoutRecord := Router.Group("storageArea")

	storageAreaApi := v1.ApiGroupApp.StorehouseApiGroup.StorageAreaApi
	{
		storageAreaRouter.POST("createStorageArea", storageAreaApi.CreateStorageArea)
		storageAreaRouter.PUT("updateStorageArea", storageAreaApi.UpdateStorageArea)
		storageAreaRouter.POST("switchStorageArea", storageAreaApi.SwitchStorageArea)
		storageAreaRouter.DELETE("deleteStorageArea", storageAreaApi.DeleteStorageArea)
	}
	{
		storageAreaRouterWithoutRecord.GET("queryAllStorageAreas", storageAreaApi.QueryAllStorageAreas)
		storageAreaRouterWithoutRecord.POST("queryStorageAreaList", storageAreaApi.QueryStorageAreaList)
	}
}
