package storehouse

import (
	"github.com/gin-gonic/gin"
	v1 "server/api/v1"
	"server/middleware"
)

type StorageAreaGenreRouter struct{}

func (sar *StorageAreaGenreRouter) InitStorageAreaGenreRouter(Router *gin.RouterGroup) {
	storageAreaGenreRouter := Router.Group("storageAreaGenre").Use(middleware.OperationRecord())
	storageAreaGenreRouterWithoutRecord := Router.Group("storageAreaGenre")

	storageAreaGenreApi := v1.ApiGroupApp.StorehouseApiGroup.StorageAreaGenreApi
	{
		storageAreaGenreRouter.POST("createStorageAreaGenre", storageAreaGenreApi.CreateStorageAreaGenre)
		storageAreaGenreRouter.PUT("updateStorageAreaGenre", storageAreaGenreApi.UpdateStorageAreaGenre)
		storageAreaGenreRouter.DELETE("deleteStorageAreaGenre", storageAreaGenreApi.DeleteStorageAreaGenre)
	}
	{
		storageAreaGenreRouterWithoutRecord.GET("queryAllStorageAreaGenre", storageAreaGenreApi.QueryAllStorageAreaGenre)
	}
}
