package storehouse

import (
	"github.com/gin-gonic/gin"
	v1 "server/api/v1"
	"server/middleware"
)

type SupplierRouter struct{}

func (r *SupplierRouter) InitSupplierRouter(Router *gin.RouterGroup) {
	supplierRouter := Router.Group("supplier").Use(middleware.OperationRecord())
	supplierRouterWithoutRecord := Router.Group("supplier")
	supplierApi := v1.ApiGroupApp.StorehouseApiGroup.SupplierApi

	{
		supplierRouter.POST("createSupplier", supplierApi.CreateSupplier)
		supplierRouter.PUT("updateSupplier", supplierApi.UpdateSupplier)
		supplierRouter.DELETE("deleteSupplier", supplierApi.DeleteSupplier)
	}

	{
		supplierRouterWithoutRecord.GET("queryAllSupplier", supplierApi.QueryAllSupplier)
		supplierRouterWithoutRecord.POST("querySupplierList", supplierApi.QuerySupplierList)
	}
}
