package storehouse

import (
	"github.com/gin-gonic/gin"
	v1 "server/api/v1"
	"server/middleware"
)

type WarehouseRouter struct{}

func (r *WarehouseRouter) InitWarehouseRouter(Router *gin.RouterGroup) {
	warehouseRouter := Router.Group("warehouse").Use(middleware.OperationRecord())
	warehouseRouterWithoutRecord := Router.Group("warehouse")

	warehouseApi := v1.ApiGroupApp.StorehouseApiGroup.WarehouseApi

	{
		warehouseRouter.POST("createWarehouse", warehouseApi.CreateWarehouse)
		warehouseRouter.PUT("updateWarehouse", warehouseApi.UpdateWarehouse)
		warehouseRouter.PUT("switchWarehouse", warehouseApi.SwitchWarehouse)
		warehouseRouter.DELETE("deleteWarehouse", warehouseApi.DeleteWarehouse)
	}
	{
		warehouseRouterWithoutRecord.GET("queryAllWarehouse", warehouseApi.QueryAllWarehouse)
		warehouseRouterWithoutRecord.POST("queryWarehouseList", warehouseApi.QueryWarehouseList)
	}
}
