package system

import (
	"github.com/gin-gonic/gin"
	v1 "server/api/v1"
	"server/middleware"
)

type NoticeRouter struct{}

func (s *NoticeRouter) InitNoticeRouter(Router *gin.RouterGroup) {
	noticeRouter := Router.Group("notice").Use(middleware.OperationRecord())
	noticeRouterWithoutRecord := Router.Group("notice")
	noticeApi := v1.ApiGroupApp.SystemApiGroup.NoticeApi
	{
		noticeRouter.GET("readNotice", noticeApi.ReadNotice)
		noticeRouter.POST("createNotice", noticeApi.CreateNotice)
		noticeRouter.PUT("updateNotice", noticeApi.UpdateNotice)
		noticeRouter.DELETE("deleteNotice", noticeApi.DeleteNotice)
	}
	{
		noticeRouterWithoutRecord.GET("queryUserUnreadNotice", noticeApi.QueryUserUnreadNotice)
		noticeRouterWithoutRecord.GET("queryUserAllNotice", noticeApi.QueryUserAllNotice)
		noticeRouterWithoutRecord.GET("queryAllNotices", noticeApi.QueryAllNotices)
	}
}
