package crm

import (
	"server/dao/crm"
	"server/model/common/request"
)

type CustomerService struct{}

func (cs *CustomerService) QueryAllCustomers() ([]crm.Customer, error) {
	return crm.QueryAllCustomers()
}

func (cs *CustomerService) QueryCustomerList(info request.SearchCustomer) (customers []crm.Customer, total int64, err error) {
	limit := info.PageInfo.PageSize
	offset := info.PageInfo.PageSize * (info.PageInfo.Page - 1)
	return crm.QueryCustomerList(limit, offset, info.Genre, info.Name)
}

func (cs *CustomerService) CreateCustomer(customer crm.Customer) error {
	return customer.CreateCustomer()
}

func (cs *CustomerService) UpdateCustomer(customer crm.Customer) error {
	return customer.UpdateCustomer()
}

func (cs *CustomerService) DeleteCustomer(id int) error {
	return crm.DeleteCustomer(id)
}
