package storehouse

import (
	"server/dao"
	"server/model/common/request"
)

type PlaceService struct{}

func (p *PlaceService) QueryAllPlaces() ([]dao.Place, error) {
	return dao.QueryAllPlace()
}

func (p *PlaceService) QueryPlaceList(info request.SearchPlace) (list interface{}, total int64, err error) {
	limit := info.PageInfo.PageSize
	offset := info.PageInfo.PageSize * (info.PageInfo.Page - 1)
	return dao.QueryPlaceList(limit, offset, info.Genre, info.WarehouseId, info.StorageAreaId, info.Name)
}

func (p *PlaceService) CreatePlace(place dao.Place) error {
	return place.CreatePlace()
}

func (p *PlaceService) UpdatePlace(place dao.Place) error {
	return place.UpdatePlace()
}

func (p *PlaceService) SwitchPlace(place dao.Place) error {
	return place.SwitchPlace()
}

func (p *PlaceService) DeletePlace(place dao.Place) error {
	return place.DeletePlace()
}
