package storehouse

import (
	"server/dao"
	"server/model/common/request"
)

type StorageAreaService struct{}

func (s *StorageAreaService) QueryAllStorageArea() ([]dao.StorageArea, error) {
	return dao.QueryAllStorageArea()
}

func (s *StorageAreaService) QueryStorageAreaList(info request.SearchStorageArea) (list interface{}, total int64, err error) {
	limit := info.PageInfo.PageSize
	offset := info.PageInfo.PageSize * (info.PageInfo.Page - 1)
	return dao.QueryStorageAreaList(limit, offset, info.Genre, info.WarehouseId, info.Name)
}

func (s *StorageAreaService) CreateStorageArea(storageArea dao.StorageArea) error {
	return storageArea.CreateStorageArea()
}

func (s *StorageAreaService) UpdateStorageArea(storageArea dao.StorageArea) error {
	return storageArea.UpdateStorageArea()
}

func (s *StorageAreaService) SwitchStorageArea(storageArea dao.StorageArea) error {
	return storageArea.SwitchStorageArea()
}

func (s *StorageAreaService) DeleteStorageArea(storageArea dao.StorageArea) error {
	return storageArea.DeleteStorageArea()
}
