import service from '@/utils/request'

// 查询所有客户
export const getAllCustomers = () => {
  return service({
    url: '/customer/queryAllCustomers',
    method: 'get',
  })
}

// 查询客户列表
export const getCustomerList = (data) => {
  return service({
    url: '/customer/queryCustomerList',
    method: 'post',
    data
  })
}

// 新增用户
export const postCustomer = (data) => {
  return service({
    url: '/customer/createCustomer',
    method: 'post',
    data
  })
}

// 修改用户
export const putCustomer = (data) => {
  return service({
    url: '/customer/updateCustomer',
    method: 'put',
    data
  })
}

// 删除用户
export const delCustomer = (id) => {
  return service({
    url: '/customer/deleteCustomer?id=' + id,
    method: 'delete'
  })
}

// 查询所有客户类型
export const getCustomerType = () => {
  return service({
    url: '/customerGenre/queryAllCustomerGenres',
    method: 'get'
  })
}

// 新增客户类型
export const postCustomerType = (data) => {
  return service({
    url: '/customerGenre/createCustomerGenre',
    method: 'post',
    data
  })
}

// 修改客户类型
export const putCustomerType = (data) => {
  return service({
    url: '/customerGenre/updateCustomerGenre',
    method: 'put',
    data
  })
}

// 删除客户类型
export const delCustomerType = (id) => {
  return service({
    url: '/customerGenre/deleteCustomerGenre?id=' + id,
    method: 'delete',
  })
}
