import service from '@/utils/request'

// 查询所有流程
export const getAllProcess = () => {
  return service({
    url: '/process/queryAllProcess',
    method: 'GET'
  })
}

// 新增流程
export const postProcess = (data) => {
  return service({
    url: '/process/createProcess',
    method: 'POST',
    data
  })
}

// 查询流程列表
export const getProcessList = (data) => {
  return service({
    url: '/process/queryProcessList',
    method: 'POST',
    data
  })
}

// 修改流程
export const putProcess = (data) => {
  return service({
    url: '/process/updateProcess',
    method: 'PUT',
    data
  })
}

// 删除流程
export const delProcess = (data) => {
  return service({
    url: '/process/deleteProcess',
    method: 'delete',
    data
  })
}

// 开关流程
export const switchProcess = (data) => {
  return service({
    url: '/process/switchProcess',
    method: 'post',
    data
  })
}

// 查询发起人申请列表
export const getApplyList = (data) => {
  return service({
    url: '/projectProcess/queryProjectApplicantList',
    method: 'POST',
    data
  })
}

// 查询需要审批的列表
export const getExamineList = (data) => {
  return service({
    url: '/projectProcess/queryProjectProcessList',
    method: 'POST',
    data
  })
}

// 按id查询项目流程
export const getProjectProcessId = (id) => {
  return service({
    url: '/projectProcess/queryProjectProcessById?id=' + id,
    method: 'GET'
  })
}

// 按项目进程 ID 查询描述
export const getProcessIdDescribe = (id) => {
  return service({
    url: '/description/queryDescriptionByProjectProcessId?projectProcessId=' + id,
    method: 'GET'
  })
}

// 按id查询流程细节
export const getIdMinutia = (id) => {
  return service({
    url: '/description/queryDescriptionById?descriptionId=' + id,
    method: 'GET'
  })
}

// 补充完毕
export const supplyFinish = (id) => {
  return service({
    url: '/projectProcess/replenished?id=' + id,
    method: 'GET'
  })
}

