import { defineStore } from 'pinia'
import { reactive, ref } from 'vue'
import { getUserProgress } from '@/api/progress'
import { getUserDemand } from '@/api/demand'

export const useCustomer = defineStore('customer', () => {
  // 进度
  const progressList = reactive([])
  const customerId = ref(0)
  const getProgressList = (id) => {
    getUserProgress(id).then(res => {
      if (res.code === 0) {
        progressList.length = 0
        progressList.push(...res.data)
      }
    })
  }
  const changeCustomerId = (id) => {
    customerId.value = id
  }
  // 需求
  const demandList = reactive([
    {
      content: '',
      customerId: 0,
      proposeTime: '2024-01-10',
      isFinish: false
    }
  ])
  const getDemandList = (id) => {
    getUserDemand(id).then(res => {
      if (res.code === 0) {
        demandList.length = 0
        demandList.push(...res.data)
      }
    })
  }
  return {
    progressList,
    getProgressList,
    customerId,
    changeCustomerId,
    demandList,
    getDemandList,
  }
})

